| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfBgCT Struct Reference
Subscriber Features

Call Transfer. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
enum unsp__BgCTvariant * | BgCTvariant
| Call Transfer Variant. More...
enum unsp__ctsApplyType * | RecallApplyType
| Recall Apply Type. More...
int * | RecallTimer
| Recall Timer. More...
enum unsp__ctsApplyType * | InterceptApplyType
| Call Transfer with Intercept Apply Type. More...
int * | InterceptTimer
| Call Transfer with Intercept Timer. More...
unsp__ServiceId | InterceptDest
| Call Transfer Intercept Destination. More...
enum unsp__ctsApplyType * | BusyRecallApplyType
| Call Transfer on Busy Recall Timer Apply Type. More...
int * | BusyRecallTimer
| Call Transfer with Intercept Timer. More...
char * | BusyRecallInterceptDest
| Call Transfer Intercept Destination. More...
xsd__boolean * | BlockTransferToRestrictedParty
| Disallows call transfers that would result in bypassing existing Toll and Call Restrictions: if an OSV subscriber has Toll and Call Restrictions that would prevent him from calling a certain PSTN Number, then another OSV subscriber can be disallowed to use call transfer to establish a connection between the two. More...
struct unsp__CfBgCT_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Call Transfer.

The Call Transfer feature permits a subscriber to manually redirect an established call to another party as and when required. The transfer may be performed with or without consulting the transfer-to party. Call Transfer is implemented as an interaction between the SIP endpoint and OpenScape Voice: the different types of transfer requests are generated by the telephone (on behalf of the user) and the processing and checking (e.g. for transfer restrictions) is performed by OpenScape Voice. The Call Transfer Security feature ensures that unsuccessfully transferred calls are recalled to the transferring party.

The following transfer types are supported:

- Transfer with third-party consultation: This type permits a screened transfer. After speaking with the transfer-to party, the subscriber can transfer the first party to the transfer destination.
- Unscreened transfer: This type permits the subscriber to perform a call transfer prior to the transferred-to destination answering the call. The transfer request is completed during ringing or call waiting (camp-on). The subscriber has some control over the attempted transfer: Upon the subscriber hearing ringback tone and seeing a display, the subscriber can complete the transfer before the destination answers. The subscriber can also wait until the destination answers before completing the transfer.
- Blind transfer: This type permits a transfer without consultation to another party. With blind transfer the subscriber does not control the call during the transfer.
  MP2 command: CFBgCT [Attributes]

## Member Data Documentation

## ◆ BgCTvariant

enum unsp__BgCTvariant* unsp__CfBgCT::BgCTvariant

Call Transfer Variant.

required: false
default value[range]: AllCalls

## ◆ BlockTransferToRestrictedParty

xsd__boolean* unsp__CfBgCT::BlockTransferToRestrictedParty

Disallows call transfers that would result in bypassing existing Toll and Call Restrictions: if an OSV subscriber has Toll and Call Restrictions that would prevent him from calling a certain PSTN Number, then another OSV subscriber can be disallowed to use call transfer to establish a connection between the two.

required: false
default value[range]: false

## ◆ BusyRecallApplyType

enum unsp__ctsApplyType* unsp__CfBgCT::BusyRecallApplyType

Call Transfer on Busy Recall Timer Apply Type.

required: false
default value[range]: ctsATNone

## ◆ BusyRecallInterceptDest

char* unsp__CfBgCT::BusyRecallInterceptDest

Call Transfer Intercept Destination.

required: false

See also
  unsp__CFTarget

## ◆ BusyRecallTimer

int* unsp__CfBgCT::BusyRecallTimer

Call Transfer with Intercept Timer.

required: false
default value[range]: 70 [6..3600]

## ◆ InterceptApplyType

enum unsp__ctsApplyType* unsp__CfBgCT::InterceptApplyType

Call Transfer with Intercept Apply Type.

required: false
default value[range]: ctsATAll

## ◆ InterceptDest

unsp__ServiceId unsp__CfBgCT::InterceptDest

Call Transfer Intercept Destination.

required: false

See also
  unsp__CFTarget

## ◆ InterceptTimer

int* unsp__CfBgCT::InterceptTimer

Call Transfer with Intercept Timer.

required: false
default value[range]: 70 [6..3600]

## ◆ Local

struct unsp__CfBgCT_locPres* unsp__CfBgCT::Local

Local Presence flags.

## ◆ RecallApplyType

enum unsp__ctsApplyType* unsp__CfBgCT::RecallApplyType

Recall Apply Type.

required: false
default value[range]: ctsATAll

## ◆ RecallTimer

int* unsp__CfBgCT::RecallTimer

Recall Timer.

required: false
default value[range]: 50 [5..3600]

## ◆ Subscribed

enum unsp__Subscribed unsp__CfBgCT::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h